MagickCore: stream.c File Reference

# stream.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/cache.h"`
`#include "magick/cache-private.h"`
`#include "magick/color-private.h"`
`#include "magick/composite-private.h"`
`#include "magick/constitute.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/memory_.h"`
`#include "magick/quantum.h"`
`#include "magick/quantum-private.h"`
`#include "magick/semaphore.h"`
`#include "magick/stream.h"`
`#include "magick/stream-private.h"`
`#include "magick/string_.h"`

## Data Structures
struct | _StreamInfo
## Functions
static const PixelPacket * | AcquirePixelStream (const Image *, const VirtualPixelMethod, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)
static PixelPacket | AcquireOnePixelFromStream (const Image *, const VirtualPixelMethod, const long, const long, ExceptionInfo *)
static PixelPacket | GetOnePixelFromStream (Image *, const long, const long)
static PixelPacket * | GetPixelStream (Image *, const long, const long, const unsigned long, const unsigned long)
static PixelPacket ** | GetPixelsFromStream (const Image *)
static PixelPacket *** | SetPixelStream (Image *, const long, const long, const unsigned long, const unsigned long)
static MagickBooleanType | StreamImagePixels (const StreamInfo *, const Image *, ExceptionInfo *)
static MagickBooleanType | SyncPixelStream (Image *)
static void | DestroyPixelStream (Image *)
static const IndexPacket * | AcquireIndexesFromStream (const Image *image)
static void | AcquireStreamPixels (CacheInfo *cache_info)
static const PixelPacket * | AcquirePixelStream (const Image *image, const VirtualPixelMethod magick_unused(virtual_pixel_method), const long x, const long y, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport StreamInfo * | AcquireStreamInfo (const ImageInfo *image_info)
static void | RelinquishStreamPixels (CacheInfo *cache_info)
MagickExport StreamInfo * | DestroyStreamInfo (StreamInfo *stream_info)
static IndexPacket * | GetIndexesFromStream (const Image *image)
MagickExport const void * | GetStreamInfoClientData (StreamInfo *stream_info)
MagickExport MagickBooleanType | OpenStream (const ImageInfo *image_info, StreamInfo *stream_info, const char *filename, ExceptionInfo *exception)
MagickExport Image * | ReadStream (const ImageInfo *image_info, StreamHandler stream, ExceptionInfo *exception)
MagickExport void | SetStreamInfoClientData (StreamInfo *stream_info, const void *client_data)
MagickExport void | SetStreamInfoMap (StreamInfo *stream_info, const char *map)
MagickExport void | SetStreamInfoStorageType (StreamInfo *stream_info, const StorageType storage_type)
static size_t | WriteStreamImage (const Image *image, const void *pixels, const size_t columns)
MagickExport Image * | StreamImage (const ImageInfo *image_info, StreamInfo *stream_info, ExceptionInfo *exception)
MagickExport MagickBooleanType | WriteStream (const ImageInfo *image_info, Image *image, StreamHandler stream)

## Function Documentation

static const IndexPacket* AcquireIndexesFromStream | ( | const Image * | image | ) | `[static]`

static PixelPacket AcquireOnePixelFromStream | ( | const Image * | image,
|  | const | VirtualPixelMethod,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static const PixelPacket* AcquirePixelStream | ( | const Image * | image,
|  | const VirtualPixelMethod | magick_unused(virtual_pixel_method),
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static const PixelPacket* AcquirePixelStream | ( | const Image * | ,
|  | const | VirtualPixelMethod,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  | `[static]`

MagickExport StreamInfo* AcquireStreamInfo | ( | const ImageInfo * | image_info | ) |

static void AcquireStreamPixels | ( | CacheInfo * | cache_info | ) | `[inline, static]`

static void DestroyPixelStream | ( | Image * | image | ) | `[static]`

MagickExport StreamInfo* DestroyStreamInfo | ( | StreamInfo * | stream_info | ) |

static IndexPacket* GetIndexesFromStream | ( | const Image * | image | ) | `[static]`

static PixelPacket GetOnePixelFromStream | ( | Image * | image,
|  | const | long,
|  | const | long |
| ) |  |  |

static PixelPacket * GetPixelsFromStream | ( | const Image * | image | ) |

static PixelPacket * GetPixelStream | ( | Image * | image,
|  | const | long,
|  | const | long,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport const void* GetStreamInfoClientData | ( | StreamInfo * | stream_info | ) |

MagickExport MagickBooleanType OpenStream | ( | const ImageInfo * | image_info,
|  | StreamInfo * | stream_info,
|  | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* ReadStream | ( | const ImageInfo * | image_info,
|  | StreamHandler | stream,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void RelinquishStreamPixels | ( | CacheInfo * | cache_info | ) | `[inline, static]`

static PixelPacket * SetPixelStream | ( | Image * | image,
|  | const | long,
|  | const | long,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport void SetStreamInfoClientData | ( | StreamInfo * | stream_info,
|  | const void * | client_data |
| ) |  |  |

MagickExport void SetStreamInfoMap | ( | StreamInfo * | stream_info,
|  | const char * | map |
| ) |  |  |

MagickExport void SetStreamInfoStorageType | ( | StreamInfo * | stream_info,
|  | const StorageType | storage_type |
| ) |  |  |

MagickExport Image* StreamImage | ( | const ImageInfo * | image_info,
|  | StreamInfo * | stream_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickBooleanType StreamImagePixels | ( | const StreamInfo * | stream_info,
|  | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickBooleanType SyncPixelStream | ( | Image * | image | ) |

MagickExport MagickBooleanType WriteStream | ( | const ImageInfo * | image_info,
|  | Image * | image,
|  | StreamHandler | stream |
| ) |  |  |

static size_t WriteStreamImage | ( | const Image * | image,
|  | const void * | pixels,
|  | const size_t | columns |
| ) |  |  | `[static]`